[arch-commits] Commit in xorg-font-utils/repos (3 files)

Eric Bélanger eric at archlinux.org
Sun Apr 26 19:29:26 EDT 2009


    Date: Sunday, April 26, 2009 @ 19:29:26
  Author: eric
Revision: 36700

Merged revisions 36699 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/xorg-font-utils/trunk

........
  r36699 | eric | 2009-04-26 19:29:10 -0400 (Sun, 26 Apr 2009) | 2 lines
  
  upgpkg: xorg-font-utils 7.4-2
      Added license, Updated fonttosfnt and mkfontdir, Removed obsolete install scriptlet
........

Modified:
  xorg-font-utils/repos/extra-x86_64/	(properties)
  xorg-font-utils/repos/extra-x86_64/PKGBUILD
Deleted:
  xorg-font-utils/repos/extra-x86_64/xorg-font-utils.install

-------------------------+
 PKGBUILD                |   23 +++++++++++------------
 xorg-font-utils.install |    3 ---
 2 files changed, 11 insertions(+), 15 deletions(-)


Property changes on: xorg-font-utils/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /xorg-font-utils/trunk:1-22339
   + /xorg-font-utils/trunk:1-36699

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-26 23:29:10 UTC (rev 36699)
+++ extra-x86_64/PKGBUILD	2009-04-26 23:29:26 UTC (rev 36700)
@@ -3,32 +3,28 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=xorg-font-utils
 pkgver=7.4
-pkgrel=1
+pkgrel=2
 pkgdesc="X.Org font utilities"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 depends=('libxfont' 'libfontenc' 'xproto')
 makedepends=('pkgconfig' 'bigreqsproto')
 replaces=('font-util')
 provides=('font-util')
 conflicts=('font-util')
-install=xorg-font-utils.install
 source=(${url}/releases/individual/app/bdftopcf-1.0.1.tar.bz2
-        ${url}/releases/individual/app/fonttosfnt-1.0.3.tar.bz2
-        ${url}/releases/individual/app/mkfontdir-1.0.3.tar.bz2
+        ${url}/releases/individual/app/fonttosfnt-1.0.4.tar.bz2
+        ${url}/releases/individual/app/mkfontdir-1.0.4.tar.bz2
         ${url}/releases/individual/app/mkfontscale-1.0.6.tar.bz2
         ${url}/releases/individual/font/font-util-1.0.1.tar.bz2
 	http://people.redhat.com/yshao/ttmkfdir2.20021109.tar.bz2
 	ttmkfdir.patch
 	gcc-4.3.patch)
-md5sums=('9685fab33d39954ab8a0d22e0969d5a4'
-         'b0ebd86029571239b9d7b0c61191b591'
-         '4d0f89a23f77e22f1671a77bf0898955'
-         '0d0752af232054b720febcc1b2fd6c57'
-         'b81535f78fe05732931f02841e5ca37b'
-         '79e0401393c9728865aa73bb2bd68dd4'
-         '099278628ad63631e872bc5590bade74'
-	 '92ef5f77a467cc188f8dec87b0fdb664')
+md5sums=('9685fab33d39954ab8a0d22e0969d5a4' '07607b26fce3bdc2b204ff3bc43d3ac3'\
+         '35394bf3f746a57fba624dba52fdbba3' '0d0752af232054b720febcc1b2fd6c57'\
+         'b81535f78fe05732931f02841e5ca37b' '79e0401393c9728865aa73bb2bd68dd4'\
+         '099278628ad63631e872bc5590bade74' '92ef5f77a467cc188f8dec87b0fdb664')
 
 build() {
   cd "${srcdir}"
@@ -42,11 +38,14 @@
 	  make || return 1
 	  install -m755 -d "${pkgdir}/usr/bin"
 	  install -m755 ttmkfdir "${pkgdir}/usr/bin/" || return 1
+	  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+	  echo "Unknown license" > "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE.ttmkfdir2" || return 1
 	else
 	  ./configure --prefix=/usr --mandir=/usr/share/man \
 	              --with-mapdir=/usr/share/fonts/util || return 1
           make || return 1
           make DESTDIR="${pkgdir}" install || return 1
+	  install -D -m644 COPYING "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE.${i%-*} || return 1
 	fi
       popd
     fi

Deleted: extra-x86_64/xorg-font-utils.install
===================================================================
--- extra-x86_64/xorg-font-utils.install	2009-04-26 23:29:10 UTC (rev 36699)
+++ extra-x86_64/xorg-font-utils.install	2009-04-26 23:29:26 UTC (rev 36700)
@@ -1,3 +0,0 @@
-post_install() {
-  ldconfig -r .
-}



More information about the arch-commits mailing list